<div class="page-wrapper">
    <div class="page wizard _wide-container">
        <zeb-page-header
            no-breadcrumbs="true"
            page-title="$ctrl.currentTitle">
        </zeb-page-header>
        <div class="wizard-controls">
            <a class="wizard-controls__link" ng-click="$ctrl.checkCurrentUserState()">
                <md-icon class="material-icons">close</md-icon>
                <span class="link-text">Skip</span>
            </a>
        </div>
        <div class="wizard-slider wizard-content">
            <div class="wizard-slider__section">
                <div class="wizard-slider__container swiper-container">
                    <div class="wizard-slider__wrapper swiper-wrapper">
                        <greetings-slide class="swiper-slide"></greetings-slide>
                        <core-concepts-slide class="swiper-slide"></core-concepts-slide>
                        <agent-config-slide class="swiper-slide"
                            ng-if="$ctrl.isDesktop"
                            swiper-instance="$ctrl.swiper"
                            configs-data-loading="$ctrl.isConfigsLoading"
                            configs-data="$ctrl.configsData"></agent-config-slide>
                    </div>
                </div>
                <div class="wizard-slider__pagination swiper-pagination"
                    ng-show="$ctrl.swiper.activeIndex && $ctrl.isDesktop"
                    ng-click="$ctrl.handlePaginationClick($event)"></div>
                <div class="wizard-slider__footer wizard-slider-controls">
                    <md-button class="md-raised btn-w-md swiper-nav-btn _prev"
                        ng-class="{'_hidden': $ctrl.swiper.isBeginning}">
                        <md-icon class="material-icons">chevron_left</md-icon>
                        back
                    </md-button>
                    <md-button class="md-raised btn-w-md md-primary swiper-nav-btn _next" ng-click="$ctrl.handleNextSlideButton()">
                        {{ $ctrl.swiper.isBeginning ? 'let’s go!' : $ctrl.swiper.isEnd ? 'done' : 'next'}}
                        <md-icon class="material-icons" ng-if="!$ctrl.swiper.isEnd">chevron_right</md-icon>
                    </md-button>
                </div>
            </div>
        </div>
    </div>
</div>
